package me.qwq.doghouse.validator;

import jakarta.validation.ConstraintValidatorContext;

public interface IValidator {
    
    public default boolean invalid(ConstraintValidatorContext context, String message) {
        context.disableDefaultConstraintViolation();
        context.buildConstraintViolationWithTemplate(message)
               .addConstraintViolation();
        return false;
    }

}
